## python-array-api-compat 1.11.1

=== docs/requirements.txt ===
furo
linkify-it-py
myst-parser
sphinx
sphinx-copybutton
sphinx-autobuild

## python-array-api-compat 1.4

=== debian/changelog ===
python-array-api-compat (1.4-1) unstable; urgency=medium

  * Initial release (Closes: #1055992)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Nov 2023 18:06:19 +0100

=== debian/control ===
Source: python-array-api-compat
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pytest <!nocheck>,
               python3-numpy <!nocheck>,
               python3-torch <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-array-api-compat
Vcs-Git: https://salsa.debian.org/python-team/packages/python-array-api-compat.git
Homepage: https://data-apis.org/array-api-compat/
Rules-Requires-Root: no

Package: python3-array-api-compat
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: Python3 array API compatibility library
 This is a small wrapper around common array libraries that is compatible
 with the Array API standard. Currently, NumPy, CuPy, and PyTorch are
 supported. If you want support for other array libraries, or if you
 encounter any issues, please open an issue.
 .
 Note that some of the functionality in this library is backwards
 incompatible with the corresponding wrapped libraries. The end-goal is
 to eventually make each array library itself fully compatible with the
 array API, but this requires making backwards incompatible changes in
 many cases, so this will take some time.
 .
 Currently all libraries here are implemented against the 2022.12 version
 of the standard.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export PYBUILD_NAME=array_api_compat

export PYBUILD_TEST_ARGS_python3 = --ignore tests/test_vendoring.py

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-array-api-compat 1.10

=== debian/changelog ===
python-array-api-compat (1.10-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Set upstream metadata fields: Repository.

  [ Shengqi Chen ]
  * New upstream version 1.10
  * d/control:
   + build only for default Python version (closes: #1071777)
   + bump std-ver to 4.7.1 (no changes required)
   + add python3-dask as B-D for dh_auto_test
   + change uploader to me (thanks @tille for his work!)
  * d/patches: add patch to disable tests depending on libraries not in
    archive (e.g. jax, cupy).

 -- Shengqi Chen <harry@debian.org>  Thu, 27 Feb 2025 00:19:56 +0800

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: python-array-api-compat
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Shengqi Chen <harry@debian.org>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3-all,
+               dh-sequence-python3,
+               python3,
                python3-pytest <!nocheck>,
                python3-numpy <!nocheck>,
-               python3-torch <!nocheck>
-Standards-Version: 4.6.2
+               python3-torch <!nocheck>,
+               python3-dask <!nocheck>,
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-array-api-compat
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-array-api-compat.git
 Homepage: https://data-apis.org/array-api-compat/

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export PYBUILD_TEST_ARGS_python3 = --ignore tests/test_vendoring.py
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

## python-array-api-compat 1.11.1

=== debian/changelog ===
python-array-api-compat (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1
  * d/patches: refresh and disable more unsupported tests
  * d/rules: do not run test_jax.py in dh_auto_test
  * d/control: bump std-ver to 4.7.2, add python3-setuptools in B-D

 -- Shengqi Chen <harry@debian.org>  Sat, 08 Mar 2025 20:38:39 +0800

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export PYBUILD_NAME=array_api_compat

export PYBUILD_TEST_ARGS_python3 = --ignore tests/test_vendoring.py --ignore tests/test_jax.py

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/data-apis/array-api-compat/tags (?:.*?/)?v?@ANY_VERSION@\.tar\.gz

## python-array-api-compat 1.11.2

=== debian/changelog ===
python-array-api-compat (1.11.2-1) unstable; urgency=medium

  * New upstream version 1.11.2

 -- Shengqi Chen <harry@debian.org>  Tue, 08 Apr 2025 00:15:39 +0800

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3,
+               python3-setuptools,
                python3-pytest <!nocheck>,
                python3-numpy <!nocheck>,
                python3-torch <!nocheck>,
                python3-dask <!nocheck>,
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-array-api-compat
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-array-api-compat.git
 Homepage: https://data-apis.org/array-api-compat/
